Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230957 - beagle-info Unhandled Exception
Summary: beagle-info Unhandled Exception
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: beagle
Version: 9
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Nielsen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 02:52 UTC by William Lovaton
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-08 00:41:43 UTC


Attachments (Terms of Use)

Description William Lovaton 2007-03-05 02:52:17 UTC
Description of problem:
When I run 'beagle-info --list-filters' it lists lots of filters and right after
"FilterTiff - Version 4" I get the following Exception:

Unhandled Exception: System.DllNotFoundException: libbeagleglue
  at (wrapper managed-to-native)
Beagle.Util.SafeProcess:spawn_async_with_pipes_and_limits
(string[],int,int,int&,intptr,intptr,intptr,intptr&)
  at Beagle.Util.SafeProcess.Start () [0x000ae] in
/builddir/build/BUILD/beagle-0.2.16.2/Util/SafeProcess.cs:125 
  at Beagle.Filters.FilterTotem.RegisterSupportedTypes () [0x00030] in
/builddir/build/BUILD/beagle-0.2.16.2/Filters/FilterTotem.cs:57 
  at Beagle.Daemon.Filter.get_SupportedFlavors () [0x00017] in
/builddir/build/BUILD/beagle-0.2.16.2/beagled/Filter.cs:68 
  at InfoTool.PrintFilterDetails (System.Reflection.Assembly assembly) [0x000fb]
in /builddir/build/BUILD/beagle-0.2.16.2/tools/Info.cs:154 
  at (wrapper delegate-invoke) System.MulticastDelegate:invoke_void_Assembly
(System.Reflection.Assembly)
  at Beagle.Util.ReflectionFu.ScanEnvironmentForAssemblies (System.String
env_var, System.String fallback_path, Beagle.Util.ForeachDirMethod method)
[0x000af] in /builddir/build/BUILD/beagle-0.2.16.2/Util/ReflectionFu.cs:62 
  at InfoTool.PrintFilterInformation () [0x00000] in
/builddir/build/BUILD/beagle-0.2.16.2/tools/Info.cs:125 
  at InfoTool.Main (System.String[] args) [0x0002f] in
/builddir/build/BUILD/beagle-0.2.16.2/tools/Info.cs:70 

It seems a totem related problem.

Version-Release number of selected component (if applicable):
This is a Fedora 7 Test 2 system with the latest updates as of today.
- beagle-gui-0.2.16.2-1.fc7
- beagle-0.2.16.2-1.fc7
- libbeagle-0.2.16.2-1.fc7
- beagle-evolution-0.2.16.2-1.fc7
- gtk-sharp2-2.10.0-3.fc6
- gmime-sharp-2.2.3-5.fc7
- gnome-sharp-2.16.0-1.fc6
- evolution-sharp-0.12.2-1.fc7
- gsf-sharp-0.8.1-2.fc6
- totem-plparser-2.17.92-2.fc7
- totem-2.17.92-2.fc7
- totem-mozplugin-2.17.92-2.fc7


How reproducible:
Always

Steps to Reproduce:
1. Just execute beagle-info --list-filters in a terminal
2.
3.

Comment 1 William Lovaton 2007-03-30 19:02:17 UTC
This is still happening in Fedora 7 Test 3 Live CD.  Can you please check this
problem? it's not bad but still annoying.

Comment 2 Zachary Napora 2008-04-25 01:05:53 UTC
beagle-info --list-filters works fine for me on the latest rawhide. Can you
confirm this is still a bug or can we close this? Thanks.

Comment 3 Bug Zapper 2008-05-14 02:39:50 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Brennan Ashton 2008-06-08 00:41:43 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.


Note You need to log in before you can comment on or make changes to this bug.